Skip to main content
GET
/
api
/
apps
/
beta
/
apps
List Apps
curl --request GET \
  --url https://api.example.com/api/apps/beta/apps \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "items": [
    {
      "accessStatuses": [
        {
          "userId": "<string>"
        }
      ],
      "configurationType": "STANDARD",
      "discoverable": true,
      "entryPoint": "<string>",
      "id": "<string>",
      "isPinned": true,
      "mountDatasets": true,
      "mountNetAppVolumes": true,
      "name": "<string>",
      "project": {
        "id": "<string>",
        "name": "<string>",
        "ownerId": "<string>",
        "ownerUsername": "<string>"
      },
      "renderIFrame": true,
      "url": "<string>",
      "views": 123,
      "currentVersion": {
        "createdAt": 123,
        "environmentId": "<string>",
        "environmentRevisionId": "<string>",
        "extendedIdentityPropagationToAppsEnabled": true,
        "externalVolumeMountIds": [
          "<string>"
        ],
        "hardwareTierId": "<string>",
        "id": "<string>",
        "netAppVolumeIds": [
          "<string>"
        ],
        "tags": [
          {
            "key": "<string>",
            "value": "<string>"
          }
        ],
        "updatedAt": 123,
        "autoscalingSpecification": {
          "enabled": true,
          "maxReplicas": 15,
          "minReplicas": 15,
          "scaleDownStabilizationWindowSeconds": 1800,
          "scaleUpStabilizationWindowSeconds": 1800,
          "targetCpuAvgUtilizationPct": 50,
          "targetMemoryAvgUtilizationPct": 50,
          "useSessionAffinity": true
        },
        "bundleId": "<string>",
        "bundleName": "<string>",
        "currentInstance": {
          "createdAt": 123,
          "id": "<string>",
          "status": "<string>",
          "describeUrl": "<string>"
        },
        "dfsCommitId": "<string>",
        "entryScript": "<string>",
        "gitRef": {
          "value": "<string>"
        },
        "publisher": {
          "id": "<string>",
          "name": "<string>"
        },
        "vanityUrl": "<string>"
      },
      "description": "<string>",
      "publisher": {
        "id": "<string>",
        "name": "<string>"
      },
      "thumbnailEtag": "<string>",
      "updatedAt": 123,
      "vanityUrl": "<string>"
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

projectId
string

The id of the project to retrieve apps for. If not provided, all apps will be retrieved.

name
string

The name filter for the apps to retrieve. If not provided, all apps will be retrieved.

includeTemplateApps
boolean
default:false

Whether to include template apps in the response. Defaults to false.

sortField
enum<string>
default:lastViewed

The field to sort the apps for. The available fields are: name - The name of the app. lastUpdated - The last updated timestamp of the app. status - The current status of the app. views - The number of views the app has in the last 7 days. lastViewed - Last time the current user viewed the app (most recent first). Defaults to lastViewed.

Available options:
name,
lastUpdated,
status,
views,
lastViewed
sortOrder
enum<string>
default:asc

The order to sort the apps in. Can be asc or desc. Defaults to asc.

Available options:
asc,
desc
limit
integer

The maximum number of apps to retrieve. Defaults to no limit.

offset
integer
default:0

The offset to start retrieving apps from. Defaults to 0.

ownerId
string

Filter apps by owning project owner id.

status
enum<string>

Filter apps by most recent instance status. Single-select.

Available options:
Queued,
Scheduled,
Pending,
Preparing,
Building,
Pulling,
Running,
Serving,
StopRequested,
StopAndDiscardRequested,
Stopping,
Finishing,
Stopped,
Succeeded,
Failed,
Error
publisherId
string

Filter apps by publisher id (user who published the most recent instance).

Response

Success

items
object[]
required
metadata
object
required